For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get current billing cycle usage

Get current billing cycle usage for Email Sandbox, Email Sending (Email API/SMTP), and Email Marketing.

get
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Responses
200

Returns an object with current billing cycle usage for Sandbox, Email Sending (Email API/SMTP), and Email Marketing if available.

application/json
get/api/billing/usage
curl -X GET https://mailtrap.io/api/billing/usage \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "billing": {
    "cycle_start": "2024-02-15T21:11:59.624Z",
    "cycle_end": "2024-02-15T21:11:59.624Z"
  },
  "testing": {
    "plan": {
      "name": "Individual"
    },
    "usage": {
      "sent_messages_count": {
        "current": 1234,
        "limit": 5000
      },
      "forwarded_messages_count": {
        "current": 0,
        "limit": 100
      }
    }
  },
  "sending": {
    "plan": {
      "name": "Basic 10K"
    },
    "usage": {
      "sent_messages_count": {
        "current": 6789,
        "limit": 10000
      }
    }
  },
  "marketing": {
    "plan": {
      "name": "Marketing Pro"
    },
    "usage": {
      "sent_messages_count": {
        "current": 1500,
        "limit": 10000
      }
    }
  }
}

Last updated

Was this helpful?